Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ampy: new aport

From: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
Date: Tue, 4 Jul 2017 19:34:13 +0200

Utility to interact with a MicroPython board over a serial connection
https://github.com/adafruit/ampy

WARNING: It has pyserial for Python 3 as dependy. Thus, this package should
not be accepted before my patch for testing/py-serial is accepted, which
provides py3-serial.
---
 testing/ampy/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/ampy/APKBUILD
diff --git a/testing/ampy/APKBUILD b/testing/ampy/APKBUILD
new file mode 100644
index 0000000000..9647640219
--- /dev/null
+++ b/testing/ampy/APKBUILD
_at_@ -0,0 +1,37 @@
+# Maintainer: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
+pkgname=ampy
+pkgver=0.20170704
+pkgrel=0
+pkgdesc="Utility to interact with a MicroPython board over a serial connection"
+url="https://github.com/adafruit/ampy"
+arch="noarch"
+license="MIT"
+depends="python3 py3-serial py3-click py-setuptools"
+makedepends="python3-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/adafruit/${pkgname}/archive/master.zip"
+
+builddir="$srcdir/$pkgname-master"
+
+prepare() {
+	cd "$builddir"
+	touch CONTRIBUTING.md
+}
+
+build() {
+	cd "$builddir"
+	python3 setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python3 setup.py install --prefix=/usr \
+		--root="$pkgdir" || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 CONTRIBUTING.md README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+sha512sums="eb73d5a7cd385860de0b341dc344ba26478dbbd68385718c96025ddbf3c831487ef039fe44b1bced46409bcee31fd4a8f3343de69489545e2aa069c363b1b368  master.zip"
-- 
2.13.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 04 2017 - 19:34:13 GMT